Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017528
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2011-06-07 10:072011-08-01 14:19
ReporterxabiermerinoView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionbeefbf9a03da
ProjectionnoneETAnoneTarget Version3.0MP1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0RC7SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017528: When you refresh a header of a goods receipt, a new record dissapears

DescriptionWe create a goods receipt with a line. Then, we return to the header and, without make any change, go to grid view. If we refresh the record dissapears.

NOTES:
1.- if you make some change in the header (before refresh), the record does not dissapear.
Steps To Reproduce- As Admin go to Goods Receipt
- search by Movement Date: 07-06-2011
- realize that there is not any record
- Create a new record (Movement date: 07-06-2011; Organization: F&B España, S.A.)
- click in Lines (the autosave saves the header)
- Create a new one
- Go back to the header
- Without make any change go to grid view.
- Refresh (with Openbravo's button)
- Realize that the record has dissapeared (search by Movement Date: 07-06-2011)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 00178743.0MP3 closedegoitz When you create a goods receipt usig 'Create lines from' the record does not appear. 
related to feature request 0017962 newmarvintm Detect early (through triggers) that a field and an auxiliary input for the same tab have the same name 

-  Notes
(0038328)
alostale (developer)
2011-06-14 08:31

Working fine in current pi
(0038968)
xabiermerino (developer)
2011-07-11 12:40

It is reproducible in PI
(0038971)
alostale (developer)
2011-07-11 13:22

The problem occurs when changing organization, at this point FIC returns

...
"Islogistic": {
            "value": true,
            "classicValue": "Y"
        },
...

When this column is true, it is not shown in goods receipt window.

Default value for this column is set by an auxiliary input which for this window is N.
(0038973)
alostale (developer)
2011-07-11 13:56

When creating a new record this is part of the FIC's response:

        "Islogistic": {
            "value": "N",
            "classicValue": "N"
        },

which is not correct, value should be false.
(0038974)
alostale (developer)
2011-07-11 14:02
edited on: 2011-07-11 14:12

In FIC:

ln 224: after calling computeColumnValues value in columnValues variable is correct: false
ln 231: after calling computeAuxiliaryInputs value in columnValues has changed to N

Actual problem is auxiliary input has the same transformed name as column and it overwrites it.

Note this case is not properly solved in 2.50, the generated HTML is:

...
<INPUT type="hidden" name="inpislogistic" id="ISLOGISTIC" value="N"></INPUT>
...
<INPUT type="hidden" name="inpislogistic" id="Islogistic" value="N"></INPUT>
...

having 2 inputs with the same name

Openbravo distribution with this problem:

select w.name, t.name, i.name
from ad_auxiliarinput i, aD_field f, ad_column c, ad_tab t, aD_window w
where lower(i.name) = lower(c.columnname)
and c.ad_column_id = f.ad_column_id
and f.ad_tab_id = i.ad_tab_id
and t.ad_window_id = w.ad_window_id
and t.ad_tab_id = f.ad_tab_id

"Goods Shipment";"Header";"ISLOGISTIC"
"Incoming Shipment";"Shipment in";"ISLOGISTIC"
"Outgoing Shipment";"Shipment out";"ISLOGISTIC"
"Goods Receipt";"Header";"ISLOGISTIC"
"AD Implementation Mapping";"Object";"ACTION"

(0038976)
hgbot (developer)
2011-07-11 14:37

Repository: erp/devel/pi
Changeset: 1e669db00768bd74cfc300bdf209e6ccedc63301
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jul 11 14:36:22 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1e669db00768bd74cfc300bdf209e6ccedc63301 [^]

Related to issue 17528. Added an error message in the log so that developers notice the error in the window definition.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
---
(0038977)
hgbot (developer)
2011-07-11 14:40

Repository: erp/devel/pi
Changeset: beefbf9a03dab57a3a626a166c89fc976a1cac5f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jul 11 14:39:23 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/beefbf9a03dab57a3a626a166c89fc976a1cac5f [^]

fixed bug 17528: Missing Goods Receipt after refreshing

  Changed auxiliary input names not to match with column name in the same
  tab which causes value to be overwritten.

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0039014)
xabiermerino (developer)
2011-07-12 15:11

verified
(0039580)
hudsonbot (developer)
2011-08-01 14:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test
(0039581)
hudsonbot (developer)
2011-08-01 14:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf2afed6e8ef [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-06-07 10:07 xabiermerino New Issue
2011-06-07 10:07 xabiermerino Assigned To => dalsasua
2011-06-07 10:07 xabiermerino Modules => Core
2011-06-07 10:11 xabiermerino Issue Monitored: networkb
2011-06-07 11:55 dalsasua Assigned To dalsasua => alostale
2011-06-14 08:31 alostale Note Added: 0038328
2011-06-14 08:31 alostale Status new => closed
2011-06-14 08:31 alostale Resolution open => out of date
2011-07-11 12:40 xabiermerino Note Added: 0038968
2011-07-11 12:40 xabiermerino Status closed => new
2011-07-11 12:40 xabiermerino Resolution out of date => open
2011-07-11 13:22 alostale Note Added: 0038971
2011-07-11 13:56 alostale Note Added: 0038973
2011-07-11 13:57 alostale Assigned To alostale => marvintm
2011-07-11 14:02 alostale Note Added: 0038974
2011-07-11 14:05 alostale Note Edited: 0038974 View Revisions
2011-07-11 14:08 alostale Note Edited: 0038974 View Revisions
2011-07-11 14:12 alostale Note Edited: 0038974 View Revisions
2011-07-11 14:22 alostale Assigned To marvintm => alostale
2011-07-11 14:37 hgbot Checkin
2011-07-11 14:37 hgbot Note Added: 0038976
2011-07-11 14:40 hgbot Checkin
2011-07-11 14:40 hgbot Note Added: 0038977
2011-07-11 14:40 hgbot Status new => resolved
2011-07-11 14:40 hgbot Resolution open => fixed
2011-07-11 14:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/beefbf9a03dab57a3a626a166c89fc976a1cac5f [^]
2011-07-12 08:46 marvintm Relationship added related to 0017962
2011-07-12 15:11 xabiermerino Note Added: 0039014
2011-07-12 15:11 xabiermerino Status resolved => closed
2011-08-01 14:19 hudsonbot Checkin
2011-08-01 14:19 hudsonbot Note Added: 0039580
2011-08-01 14:19 hudsonbot Checkin
2011-08-01 14:19 hudsonbot Note Added: 0039581
2011-08-11 09:04 egoitz Relationship added has duplicate 0017874


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker